Subject: [alpine-aports] [PATCH] new package perl-file-readbackwards

From: "Jean-Charles de Longueville" <[email-masked]>
Date: Mon, 16 Mar 2015 14:49:25 +0100

---
 testing/perl-file-readbackwards/APKBUILD | 41 ++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/perl-file-readbackwards/APKBUILD

diff --git a/testing/perl-file-readbackwards/APKBUILD b/testing/perl-file-readbackwards/APKBUILD
new file mode 100644
index 0000000..74e6bc0
--- /dev/null
+++ b/testing/perl-file-readbackwards/APKBUILD
@@ -0,0 +1,41 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Jean-Charles de Longueville <[email-masked]>
+# Maintainer: 
+pkgname=perl-file-readbackwards
+_pkgreal=File-ReadBackwards
+pkgver=1.05
+pkgrel=0
+pkgdesc="unknown"
+url="http://search.cpan.org/dist/File-ReadBackwards/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends="   "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/U/UR/URI/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	make && make test
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="613d9d02de6c1d86d5fa5b8816a6b214  File-ReadBackwards-1.05.tar.gz"
+sha256sums="82b261af87507cc3e7e66899c457104ebc8d1c09fb85c53f67c1f90f70f18d6e  File-ReadBackwards-1.05.tar.gz"
+sha512sums="8e1eeeda0acfdc0b9e1f5234cac37348890fb962e5edd395804d6cf9ab2c221217e2714025303493cafde7ce77721e6c09b2b53825dadb978fafe68f6d7b8c20  File-ReadBackwards-1.05.tar.gz"
-- 
2.3.2

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---